%define upstream_name    X11-Protocol
%define upstream_version 0.56

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2

Summary:        Perl module for the X Window System Protocol
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch: noarch


%description
This is a module for the X Window System Protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" 
%make

%check
# test needs a running X server

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/X11

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.560.0-2.mga3
+ Revision: 374919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.560.0-1.mga1
+ Revision: 31475
- mageia rebuild
- imported package perl-X11-Protocol

